package net.laparola.ui.android.library;

import net.laparola.R;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ListView;
import android.widget.TextView;

import com.actionbarsherlock.app.SherlockFragment;

public class LibraryFragment extends SherlockFragment {
	private ListView mListView;
	private TextView mNoBookTextView; 

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }
    
    @Override
    public void onSaveInstanceState(Bundle outState) {
        super.onSaveInstanceState(outState);
    }
    
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View res = inflater.inflate(R.layout.components_fragment, container, false);
        mListView = (ListView)res.findViewById(R.id.listView);
        mNoBookTextView = (TextView)res.findViewById(R.id.no_book_available);
        return res;
    }

	public void setAdapter(LibraryAdapter libraryAdapter) {
		mListView.setAdapter(libraryAdapter);
		if (libraryAdapter.getCount() == 0) {
			mNoBookTextView.setVisibility(View.VISIBLE);
		} else {
			mNoBookTextView.setVisibility(View.GONE);
		}
	}
}
